Workspaces
List workspaces in the organization
List the workspaces your organization owns.
GET
List workspaces in the organization
The organization bot token must have the following scopes:
workspace:read
id and name. Use the id as the space_id path parameter in workspace-scoped endpoints, such as List users.
Deleted workspaces and workspaces outside your organization aren’t included. Use page_size and start_cursor to page through results.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Query Parameters
Opaque continuation cursor from the previous page.
Minimum string length:
1Number of workspaces per page (1–100; default 100).
Required range:
1 <= x <= 100Response
Always list
Allowed value:
"list"Always space
Allowed value:
"space"Live workspaces owned by the organization on this page, ordered by ID.
Maximum array length:
100Whether another page of workspaces is available.
Opaque continuation cursor for the next page, or null when has_more is false.